curl --request GET \
--url https://chat.domix.ai/api/v1/accounts/{account_id}/audit_logs \
--header 'api-access-token: <api-key>'import requests
url = "https://chat.domix.ai/api/v1/accounts/{account_id}/audit_logs"
headers = {"api-access-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-access-token': '<api-key>'}};
fetch('https://chat.domix.ai/api/v1/accounts/{account_id}/audit_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"per_page": 25,
"total_entries": 150,
"current_page": 1,
"audit_logs": [
{
"id": 123,
"auditable_id": 123,
"auditable_type": "<string>",
"auditable": {},
"associated_id": 123,
"associated_type": "<string>",
"user_id": 123,
"user_type": "<string>",
"username": "<string>",
"audited_changes": {},
"version": 123,
"comment": "<string>",
"request_uuid": "<string>",
"created_at": 123,
"remote_address": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}List Audit Logs in Account
Get Details of Audit Log entries for an Account. This endpoint is only available in Enterprise editions and requires the audit_logs feature to be enabled.
Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
Query Parameters
Page number for pagination
Response
Success
Number of items per page
25
Total number of audit log entries
150
Current page number
1
Array of audit log entries
Hide child attributes
Hide child attributes
Unique identifier for the audit log entry
The ID of the audited object
The type of the audited object (e.g., Conversation, Contact, User)
The audited object data
The ID of the associated object (typically the account ID)
The type of the associated object
The ID of the user who performed the action
The type of user who performed the action
The email/username of the user who performed the action
The action performed on the object
create, update, destroy JSON object containing the changes made to the audited object
Version number of the audit log entry
Optional comment associated with the audit log entry
UUID to identify the request that generated this audit log
Unix timestamp when the audit log entry was created
IP address from which the action was performed